#include "jx_uart_send.h"

// UART2_RX串口通信消息头
const unsigned char g_uart_send_head_UART2_RX[] = {
  0xaa, 0x55
};

// UART2_RX串口通信消息尾
const unsigned char g_uart_send_foot_UART2_RX[] = {
  0x55, 0xaa
};

// 串口发送函数实现
void _uart_send_impl(int port, unsigned char* buff, int len) {
  // TODO: 调用项目实际的串口发送函数
  /*
  int i = 0;
  unsigned char c;
  for (i = 0; i < len; i++) {
    c = buff[i];
    printf("%02X ", c);
  }
  printf("\n");
  */
}

// action: com1
void _uart_com1() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART2_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART2_RX[i];
  }
  buff[2] = U_MSG_com1;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART2_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART2_RX[i];
  }
  _uart_send_impl(2, buff, 5);
}

// action: com2
void _uart_com2() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART2_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART2_RX[i];
  }
  buff[2] = U_MSG_com2;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART2_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART2_RX[i];
  }
  _uart_send_impl(2, buff, 5);
}

// action: com3
void _uart_com3() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART2_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART2_RX[i];
  }
  buff[2] = U_MSG_com3;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART2_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART2_RX[i];
  }
  _uart_send_impl(2, buff, 5);
}

// action: com4
void _uart_com4() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART2_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART2_RX[i];
  }
  buff[2] = U_MSG_com4;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART2_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART2_RX[i];
  }
  _uart_send_impl(2, buff, 5);
}

// action: com5
void _uart_com5() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART2_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART2_RX[i];
  }
  buff[2] = U_MSG_com5;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART2_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART2_RX[i];
  }
  _uart_send_impl(2, buff, 5);
}

// action: com6
void _uart_com6() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART2_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART2_RX[i];
  }
  buff[2] = U_MSG_com6;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART2_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART2_RX[i];
  }
  _uart_send_impl(2, buff, 5);
}

// action: com7
void _uart_com7() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART2_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART2_RX[i];
  }
  buff[2] = U_MSG_com7;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART2_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART2_RX[i];
  }
  _uart_send_impl(2, buff, 5);
}

// action: com8
void _uart_com8() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART2_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART2_RX[i];
  }
  buff[2] = U_MSG_com8;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART2_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART2_RX[i];
  }
  _uart_send_impl(2, buff, 5);
}

// action: com9
void _uart_com9() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART2_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART2_RX[i];
  }
  buff[2] = U_MSG_com9;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART2_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART2_RX[i];
  }
  _uart_send_impl(2, buff, 5);
}

// action: com10
void _uart_com10() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART2_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART2_RX[i];
  }
  buff[2] = U_MSG_com10;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART2_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART2_RX[i];
  }
  _uart_send_impl(2, buff, 5);
}

// action: com11
void _uart_com11() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART2_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART2_RX[i];
  }
  buff[2] = U_MSG_com11;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART2_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART2_RX[i];
  }
  _uart_send_impl(2, buff, 5);
}

// action: com12
void _uart_com12() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART2_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART2_RX[i];
  }
  buff[2] = U_MSG_com12;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART2_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART2_RX[i];
  }
  _uart_send_impl(2, buff, 5);
}

// action: com13
void _uart_com13() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART2_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART2_RX[i];
  }
  buff[2] = U_MSG_com13;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART2_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART2_RX[i];
  }
  _uart_send_impl(2, buff, 5);
}

// action: com14
void _uart_com14() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART2_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART2_RX[i];
  }
  buff[2] = U_MSG_com14;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART2_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART2_RX[i];
  }
  _uart_send_impl(2, buff, 5);
}

// action: com15
void _uart_com15() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART2_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART2_RX[i];
  }
  buff[2] = U_MSG_com15;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART2_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART2_RX[i];
  }
  _uart_send_impl(2, buff, 5);
}

// action: com16
void _uart_com16() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART2_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART2_RX[i];
  }
  buff[2] = U_MSG_com16;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART2_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART2_RX[i];
  }
  _uart_send_impl(2, buff, 5);
}

// action: com17
void _uart_com17() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART2_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART2_RX[i];
  }
  buff[2] = U_MSG_com17;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART2_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART2_RX[i];
  }
  _uart_send_impl(2, buff, 5);
}

// action: com18
void _uart_com18() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART2_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART2_RX[i];
  }
  buff[2] = U_MSG_com18;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART2_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART2_RX[i];
  }
  _uart_send_impl(2, buff, 5);
}

// action: com19
void _uart_com19() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART2_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART2_RX[i];
  }
  buff[2] = U_MSG_com19;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART2_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART2_RX[i];
  }
  _uart_send_impl(2, buff, 5);
}

// action: com20
void _uart_com20() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART2_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART2_RX[i];
  }
  buff[2] = U_MSG_com20;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART2_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART2_RX[i];
  }
  _uart_send_impl(2, buff, 5);
}

// action: com21
void _uart_com21() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART2_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART2_RX[i];
  }
  buff[2] = U_MSG_com21;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART2_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART2_RX[i];
  }
  _uart_send_impl(2, buff, 5);
}

